---
_import: _mle_base.yaml
_recentralize:
    # useful parameters to change in recentralizer
    width: 4
    mean: auto
    std: 0
    scale: 1
    offset: 0
    wsep: 2.5
    # the name of quantizer used, either `incrementer` or `recentralizer`
    name: incrementer  # or recentralizer
    # incremental interval
    interval: 0.25
    should_update: true
    sample: true
    encode: false
_overrider:
    logits:
        weights:
            prune: $(_overrider.pruner)
            quantize: $(_overrider.$(_recentralize.name))
            encode: $(_overrider.encoder)
        activation: {}
